<!-- This is the real description of a module -->

  <detelem name="Module&ModNum;">
    <author> Juan Palacios </author>
    <version> 1.0 </version>
    <geometryinfo lvname ="/dd/Geometry/BeforeMagnetRegion/Velo/Modules/lvVeloModule&ModNum;&ModType;"
      support="/dd/Structure/LHCb/BeforeMagnetRegion/Velo/VeloRight"
      condition ="/dd/Conditions/Alignment/Velo/Module&ModNum;"
      npath  ="pvModule&ModNum;"/>
    <detelemref  href="#RPhiPair&ModNum;"/>
  </detelem>

  <detelem name="RPhiPair&ModNum;">
    <author> Juan Palacios </author>
    <version> 1.0 </version>
    <geometryinfo lvname ="/dd/Geometry/BeforeMagnetRegion/Velo/RPhiPairs/lvVeloPair&ModNum;"
      support="/dd/Structure/LHCb/BeforeMagnetRegion/Velo/VeloRight/Module&ModNum;"
      npath  ="pvRPhiPair&ModNum;&ModType;"/>
    <detelemref  href="#Detector-00"/>
    <detelemref  href="#Detector-01"/>
  </detelem>
  
  <detelem classID="1008103" name="Detector-&PhiDetNum;">
    <geometryinfo lvname ="/dd/Geometry/BeforeMagnetRegion/Velo/Sensors/lvVeloPhiDetector&ModNum;"
      support="/dd/Structure/LHCb/BeforeMagnetRegion/Velo/VeloRight/Module&ModNum;/RPhiPair&ModNum;"
      condition ="/dd/Conditions/Alignment/Velo/Detector&ModNum;-&PhiDetNum;"
      npath  ="pvDetPhi"/>
    <userParameter name="Module" type="string">&ModNum;</userParameter>
    <userParameter name="Type" type="string">Phi</userParameter>
    <userParameter name="Left" type="int">&Left;</userParameter>
    <userParameter name="Downstream" type="int">&Downstream;</userParameter>
    <userParameter name="SensorNumber" type="int">&PhiSensNum;</userParameter>
    &SensorParams;
    <conditioninfo name="StripCapacitance" condition="/dd/Conditions/HardwareProperties/Velo/Sensors/VeloSensor-&PhiSensNum;-StripCapacitance"/>
    <conditioninfo name="StripInfo" condition="/dd/Conditions/ChannelInfo/Velo/Sensors/VeloSensor-&PhiSensNum;-StripInfo"/>
    <conditioninfo name="Readout" condition="/dd/Conditions/ReadoutConf/Velo/Sensors/VeloSensor-&PhiSensNum;-Readout"/>
  </detelem>

  <detelem classID="1008102" name="Detector-&RDetNum;">
    <geometryinfo lvname ="/dd/Geometry/BeforeMagnetRegion/Velo/Sensors/lvVeloRDetector&ModNum;"
      support="/dd/Structure/LHCb/BeforeMagnetRegion/Velo/VeloRight/Module&ModNum;/RPhiPair&ModNum;"
      condition ="/dd/Conditions/Alignment/Velo/Detector&ModNum;-&RDetNum;"
      npath  ="pvDetR"/>
    <userParameter name="Module" type="string">&ModNum;</userParameter>
    <userParameter name="Type" type="string">R</userParameter>
    <userParameter name="Left" type="int">&Left;</userParameter>
    <userParameter name="Downstream" type="int">&Downstream;</userParameter>
    <userParameter name="SensorNumber" type="int">&RSensNum;</userParameter>
    &SensorParams;
    <conditioninfo name="StripCapacitance" condition="/dd/Conditions/HardwareProperties/Velo/Sensors/VeloSensor-&RSensNum;-StripCapacitance"/>
    <conditioninfo name="StripInfo" condition="/dd/Conditions/ChannelInfo/Velo/Sensors/VeloSensor-&RSensNum;-StripInfo"/>
    <conditioninfo name="Readout" condition="/dd/Conditions/ReadoutConf/Velo/Sensors/VeloSensor-&RSensNum;-Readout"/> 

  </detelem>
